<h1 mat-dialog-title>Add Automatic Report</h1>
<div mat-dialog-content>

  

<mat-form-field >
  <mat-label>Site Name</mat-label>
  <input matInput>
</mat-form-field>
<mat-form-field >
  <mat-label>EMail ID</mat-label>
  <input matInput>
</mat-form-field>
<mat-form-field >
  <mat-form-field appearance="fill">
    <mat-label>Choose a date</mat-label>
    <input matInput [matDatepicker]="picker">
    <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
    <mat-datepicker #picker></mat-datepicker>
  </mat-form-field>
</mat-form-field>


</div>
<div mat-dialog-actions>
  <button mat-button mat-dialog-close>Close</button>
  <button mat-raised-button (click)="openDialog()">Add Report</button>
</div>